Subject: Re: FVWM: Multiple transients getting behind main window

From: Josef Siemes <[email-masked]>
Date: Tue, 3 Sep 2002 13:14:47 +0200

Hi,

[email-masked] schrieb am 03.09.02 11:06:51:
> On Mon, Sep 02, 2002 at 08:39:34PM +0200, Josef Siemes wrote:
> > I have some problem with transient windows, e.g. in netscape (4.79), also
> > in java applications.
> 
> There is little you can do about it.  Transients of transients are
> a very rare case.  

Thanks, now I know that I don't have to search for it any further. :-(

I think that multiple transients from one main window are used, while
they are indeed rare. Example is netscape, I think that there are other
examples that pop up a transient prompting for something, and if you
enter something wrong they pop up an additional transient
telling that. That's the problem with the java application I noted above

> Back when we wrote that code we felt it wasn't
> worth to take care of that case as it requires a whole lot more
> work (on the machine) to do.  If it's a problem I'll eventually
> get around to implement it.

I have users that manage to get the second transient behind the main window,
and then they think that the application crashed. I already activated to show
transients in the fvwmtaskbar, but it seems that's not enough. 

So it would be nice to have some function that keeps the transients before
the main window.

Regards,

Josef

______________________________________________________________________________
Den Komfort von WEB.DE FreeMail nutzen, aber die alten E-Mail-Adressen nicht
aufgeben? Kein Problem: http://freemail.web.de/?mc=021128

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 3 Sep 2002 13:31:19 +0200

> So it would be nice to have some function that keeps the transients before

Well, you could put these windows on a higher layer, but you have
to do it manually for each one:

  Style fileBrowser_popup staysontop

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].